org.apache.ignite.internal.processors.query.schema

## Class SchemaNodeLeaveExchangeWorkerTask

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.AbstractCachePartitionExchangeWorkerTask
  - - org.apache.ignite.internal.processors.query.schema.SchemaNodeLeaveExchangeWorkerTask

All Implemented Interfaces:
  CachePartitionExchangeWorkerTask

    public class SchemaNodeLeaveExchangeWorkerTask
    extends AbstractCachePartitionExchangeWorkerTask

Node leave exchange worker task.

### Constructor Summary

Constructors
Constructor and Description
`SchemaNodeLeaveExchangeWorkerTask(SecurityContext secCtx, ClusterNode node)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClusterNode` `node()`
`boolean` `skipForExchangeMerge()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.AbstractCachePartitionExchangeWorkerTask

`securityContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaNodeLeaveExchangeWorkerTask

    public SchemaNodeLeaveExchangeWorkerTask(SecurityContext secCtx,
                                             ClusterNode node)

Constructor.

Parameters:
  `secCtx` - Security context in which current task must be executed.
  `node` - Node.

### Method Detail

#### skipForExchangeMerge

    public boolean skipForExchangeMerge()

Returns:
  `False` if exchange merge should stop if this task is found in exchange worker queue.

#### node

    public ClusterNode node()

Returns:
  Node.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023